## org.w3c.jigsaw.ssi.jdbc
Class jdbcCommand

    java.lang.Object
      |
      +--org.w3c.jigsaw.ssi.jdbc.jdbcCommand

public class jdbcCommand
extends java.lang.Object
implements Command

Implementation of the SSI `jdbc` command.

Constructor Summary
`jdbcCommand()`

Method Summary
`boolean` | `acceptCaching()` return true if reply can be cached.
`protected void` | `addSet(java.util.Dictionary d, java.lang.String name, org.w3c.jigsaw.http.Request request, java.sql.ResultSet set)`
`org.w3c.jigsaw.http.Reply` | `execute(org.w3c.jigsaw.ssi.SSIFrame ssiframe, org.w3c.jigsaw.http.Request request, ArrayDictionary parameters, java.util.Dictionary variables)`
`protected java.sql.Connection` | `getConnection(java.lang.String driver, java.lang.String url, java.lang.String user, java.lang.String password)`
`java.lang.String` | `getName()`
`protected java.sql.ResultSet` | `getSet(java.util.Dictionary d, java.lang.String name, org.w3c.jigsaw.http.Request request)`
`java.lang.String` | `getValue(java.util.Dictionary variables, java.lang.String var, org.w3c.jigsaw.http.Request request)`
`protected boolean` | `hasMoreValue(java.util.Dictionary d, java.lang.String name, org.w3c.jigsaw.http.Request request)`
`protected java.sql.ResultSet` | `performSelect(java.sql.Connection conn, java.lang.String cmd)`
`protected void` | `sethasMoreValueFlag(java.util.Dictionary d, java.lang.String name, org.w3c.jigsaw.http.Request request, boolean flag)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### jdbcCommand

    public jdbcCommand()

Method Detail

### acceptCaching

    public boolean acceptCaching()

  return true if reply can be cached.
  Specified by:
    acceptCaching in interface Command
  Returns:
    a boolean.

### getConnection

    protected java.sql.Connection getConnection(java.lang.String driver,
                                                java.lang.String url,
                                                java.lang.String user,
                                                java.lang.String password)

### performSelect

    protected java.sql.ResultSet performSelect(java.sql.Connection conn,
                                               java.lang.String cmd)

### addSet

    protected void addSet(java.util.Dictionary d,
                          java.lang.String name,
                          org.w3c.jigsaw.http.Request request,
                          java.sql.ResultSet set)

### getSet

    protected java.sql.ResultSet getSet(java.util.Dictionary d,
                                        java.lang.String name,
                                        org.w3c.jigsaw.http.Request request)

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface Command

### getValue

    public java.lang.String getValue(java.util.Dictionary variables,
                                     java.lang.String var,
                                     org.w3c.jigsaw.http.Request request)

  Specified by:
    getValue in interface Command

### sethasMoreValueFlag

    protected void sethasMoreValueFlag(java.util.Dictionary d,
                                       java.lang.String name,
                                       org.w3c.jigsaw.http.Request request,
                                       boolean flag)

### hasMoreValue

    protected boolean hasMoreValue(java.util.Dictionary d,
                                   java.lang.String name,
                                   org.w3c.jigsaw.http.Request request)

### execute

    public org.w3c.jigsaw.http.Reply execute(org.w3c.jigsaw.ssi.SSIFrame ssiframe,
                                             org.w3c.jigsaw.http.Request request,
                                             ArrayDictionary parameters,
                                             java.util.Dictionary variables)

  Specified by:
    execute in interface Command